Get NAND Flash Contract Price Data
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/other/semiconductor/nand-flash-contract-price \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/other/semiconductor/nand-flash-contract-price"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/other/semiconductor/nand-flash-contract-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"avg": 123,
"date": "<string>",
"high": 123,
"low": 123,
"symbol": "<string>"
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Semiconductor
Get NAND Flash Contract Price Data
OpenAPI JSON Spec Retrieve NAND Flash contract (monthly) price data, filtered by item and date range.
GET
/
v1
/
other
/
semiconductor
/
nand-flash-contract-price
Get NAND Flash Contract Price Data
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
NAND Flash contract item
Available options:
NAND 128Gb 16Gx8 MLC, NAND 16Gb 2Gx8 SLC, NAND 1Gb 128Mx8 SLC, NAND 2Gb 256Mx8 SLC, NAND 32Gb 4Gx8 MLC, NAND 32Gb 4Gx8 SLC, NAND 4Gb 512Mx8 SLC, NAND 64Gb 8Gx8 MLC, NAND 8Gb 1024Mx8 SLC Start time (Unix seconds)
End time (Unix seconds)
⌘I

